UploadImageAPI mirrors the erdo_upload_image MCP tool as a REST endpoint.
curl --request POST \
--url https://api.erdo.ai/v1/images/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_base64": "<string>",
"media_type": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/images/upload"
payload = {
"image_base64": "<string>",
"media_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_base64: '<string>', media_type: '<string>'})
};
fetch('https://api.erdo.ai/v1/images/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bucket_key": "<string>",
"height": 123,
"media_type": "<string>",
"width": 123
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
UploadImageAPI mirrors the erdo_upload_image MCP tool as a REST endpoint.
Accepts a base64-encoded image in the request body and returns the bucket key that can be passed to AskDataQuestionAPI / erdo_ask_data_question.
POST
/
v1
/
images
/
upload
UploadImageAPI mirrors the erdo_upload_image MCP tool as a REST endpoint.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Body
application/json
SetHeartbeatStateAPI mirrors the erdo_set_heartbeat_state MCP tool.
SearchIntegrationAppsAPI mirrors the erdo_search_integration_apps MCP tool.
⌘I

